=== debian/changelog ===
ros-humble-ign-ros2-control-demos (0.7.1-1jammy) jammy; urgency=high

  * Set C++ version to 17 (#171 <https://github.com/ros-controls/gz_ros2_control/issues/171>) (#174 <https://github.com/ros-controls/gz_ros2_control/issues/174>)
    (cherry picked from commit 353b5a001733612241049557a907f835b53f35ac)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Update diff_drive_controller_velocity.yaml (#172 <https://github.com/ros-controls/gz_ros2_control/issues/172>) (#173 <https://github.com/ros-controls/gz_ros2_control/issues/173>)
    (cherry picked from commit 7559d9bfe9dc836a7fc4907cc234554600e54b14)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-ign-ros2-control-demos (0.5.0-1jammy) jammy; urgency=high

  * Clean shutdown example position (#135 <https://github.com/ros-controls/gz_ros2_control/issues/135>) (#139 <https://github.com/ros-controls/gz_ros2_control/issues/139>)
  * Fixed /clock with gz_ros2_bridge (#137 <https://github.com/ros-controls/gz_ros2_control/issues/137>) (#138 <https://github.com/ros-controls/gz_ros2_control/issues/138>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-humble-ign-ros2-control-demos (0.4.4-1jammy) jammy; urgency=high

  * Merge pull request #121 <https://github.com/ros-controls/gz_ros2_control/issues/121> from livanov93/port-master-to-humble
  * Fix gripper mimic joint example.
  * Pre-commit fix for tricycle configuration.
  * Replace ros_ign_gazebo with ros_gz_sim
  * use ros_gz_sim
  * Fix Docker entrypoint and add launch CLI to dependencites (#84 <https://github.com/ros-controls/gz_ros2_control/issues/84>)
  * Add support for mimic joints. (#33 <https://github.com/ros-controls/gz_ros2_control/issues/33>)
  * Add tricycle demo (#80 <https://github.com/ros-controls/gz_ros2_control/issues/80>)
  * Fix setting initial values if command interfaces are not defined. (#73 <https://github.com/ros-controls/gz_ros2_control/issues/73>)
  * fix demo launch (#75 <https://github.com/ros-controls/gz_ros2_control/issues/75>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Bence Magyar, Denis Štogl, Ian Chen, Krzysztof Wojciechowski, Lovro Ivanov, Maciej Bednarczyk, Polgár András, Tony Najjar

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 27 Mar 2023 22:00:00 -0000

ros-humble-ign-ros2-control-demos (0.4.3-1jammy) jammy; urgency=high

  * Add tricycle example to the humble branch #119 <https://github.com/ros-controls/gz_ros2_control/issues/119> from azazdeaz/humble
  * Replace ros_ign_gazebo with ros_gz_sim
  * Add tricycle demo (#80 <https://github.com/ros-controls/gz_ros2_control/issues/80>)
  * Fix example demos in humble branch #118 <https://github.com/ros-controls/gz_ros2_control/issues/118> from iche033/iche033/fix_humble_demos
  * use ros_gz_sim
  * fix demo launch (#75 <https://github.com/ros-controls/gz_ros2_control/issues/75>)
  * Adjust URLs (#65 <https://github.com/ros-controls/gz_ros2_control/issues/65>)
  * ign_ros2_control_demos: Install urdf dir (#61 <https://github.com/ros-controls/gz_ros2_control/issues/61>)
  * Remove URDF dependency (#56 <https://github.com/ros-controls/gz_ros2_control/issues/56>)
  * Use Ubuntu Jammy in CI (#47 <https://github.com/ros-controls/gz_ros2_control/issues/47>)
  * Add support for initial_values for hardware interfaces when starting simulation. (#27 <https://github.com/ros-controls/gz_ros2_control/issues/27>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Bence Magyar, Denis Štogl, Maciej Bednarczyk, ahcorde

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 15 Feb 2023 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.4.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 17 Mar 2022 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.3.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 15 Mar 2022 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.2.0-1jammy) jammy; urgency=high

  * Merge pull request #36 <https://github.com/ignitionrobotics/ign_ros2_control/issues/36> from ignitionrobotics/ahcorde/foxy_to_galactic
    Foxy -> Galactic
  * Fixed galactic dependency
  * Merge remote-tracking branch 'origin/foxy' into ahcorde/foxy_to_galactic
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 16 Feb 2022 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.1.2-1jammy) jammy; urgency=high

  * Updated docs and renamed diff drive launch file (#32 <https://github.com/ignitionrobotics/ign_ros2_control/issues/32>)
    Co-authored-by: Denis Štogl <mailto:denis@stogl.de>
  * Added Diff drive example (#28 <https://github.com/ignitionrobotics/ign_ros2_control/issues/28>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Sun, 13 Feb 2022 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.1.1-1jammy) jammy; urgency=high

  * Change package names from ignition_ to ign_ (#19 <https://github.com/ignitionrobotics/ign_ros2_control/issues/19>)
    * Change package names from ignition_ to ign_
  * Added missing dependencies to package.xml (#18 <https://github.com/ignitionrobotics/ign_ros2_control/pull/21>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 06 Jan 2022 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.1.0-1jammy) jammy; urgency=high

  * Ignition ros2 control (#1 <https://github.com/ignitionrobotics/ign_ros2_control/issues/1>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>

