## ros-humble-ign-ros2-control-demos 0.7.8

=== debian/changelog ===
ros-humble-ign-ros2-control-demos (0.7.8-2bookworm) bookworm; urgency=high

  * Update pendulum-example  (#301 <https://github.com/ros-controls/gz_ros2_control/issues/301>) (#303 <https://github.com/ros-controls/gz_ros2_control/issues/303>)
    * Change initial pose of pendulum
    * Make position and effort version of pendulum equal
    (cherry picked from commit 1e7721409e5e3d2c583868353a09929ca37bf860)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Add cart-pole demo (#289 <https://github.com/ros-controls/gz_ros2_control/issues/289>) (#290 <https://github.com/ros-controls/gz_ros2_control/issues/290>)
    (cherry picked from commit 27af2108e77420dc46c83ac31658fccb67e33911)
    # Conflicts:
    #     ign_ros2_control_demos/launch/pendulum_example_effort.launch.py
    #     ign_ros2_control_demos/launch/pendulum_example_position.launch.py
    #     ign_ros2_control_demos/urdf/test_pendulum_effort.xacro.urdf
    #     ign_ros2_control_demos/urdf/test_pendulum_position.xacro.urdf
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.7-2bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 08 Apr 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.6-2bookworm) bookworm; urgency=high

  * Add ros_gz_bridge as dependency to demos (backport #256 <https://github.com/ros-controls/gz_ros2_control/issues/256>) (#257 <https://github.com/ros-controls/gz_ros2_control/issues/257>)
    * Add dep (#256 <https://github.com/ros-controls/gz_ros2_control/issues/256>)
    (cherry picked from commit b35100db16e80ffb574c0266321800e2197136c3)
    # Conflicts:
    #     ign_ros2_control_demos/package.xml
    * fixed merge
    ---------
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 20 Mar 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.4-2bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.3-2bookworm) bookworm; urgency=high

  * Removed cartpole files
  * Rename cartpole with cart (backport #214 <https://github.com/ros-controls/gz_ros2_control/issues/214>) (#217 <https://github.com/ros-controls/gz_ros2_control/issues/217>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.2-2bookworm) bookworm; urgency=high

  * Update diff_drive_example.launch.py (#207 <https://github.com/ros-controls/gz_ros2_control/issues/207>)
  * Cleanup controller config (backport #180 <https://github.com/ros-controls/gz_ros2_control/issues/180>) (#181 <https://github.com/ros-controls/gz_ros2_control/issues/181>)
    * Cleanup controller config (#180 <https://github.com/ros-controls/gz_ros2_control/issues/180>)
    (cherry picked from commit 223174515a64008b2ffef5b730c4c61cc78ff8bc)
  * Contributors: Jakub Delicat, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.1-2bookworm) bookworm; urgency=high

  * Set C++ version to 17 (#171 <https://github.com/ros-controls/gz_ros2_control/issues/171>) (#174 <https://github.com/ros-controls/gz_ros2_control/issues/174>)
    (cherry picked from commit 353b5a001733612241049557a907f835b53f35ac)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Update diff_drive_controller_velocity.yaml (#172 <https://github.com/ros-controls/gz_ros2_control/issues/172>) (#173 <https://github.com/ros-controls/gz_ros2_control/issues/173>)
    (cherry picked from commit 7559d9bfe9dc836a7fc4907cc234554600e54b14)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.5.0-2bookworm) bookworm; urgency=high

  * Clean shutdown example position (#135 <https://github.com/ros-controls/gz_ros2_control/issues/135>) (#139 <https://github.com/ros-controls/gz_ros2_control/issues/139>)
  * Fixed /clock with gz_ros2_bridge (#137 <https://github.com/ros-controls/gz_ros2_control/issues/137>) (#138 <https://github.com/ros-controls/gz_ros2_control/issues/138>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 22 May 2023 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.4.4-2bookworm) bookworm; urgency=high

  * Merge pull request #121 <https://github.com/ros-controls/gz_ros2_control/issues/121> from livanov93/port-master-to-humble
  * Fix gripper mimic joint example.
  * Pre-commit fix for tricycle configuration.
  * Replace ros_ign_gazebo with ros_gz_sim
  * use ros_gz_sim
  * Fix Docker entrypoint and add launch CLI to dependencites (#84 <https://github.com/ros-controls/gz_ros2_control/issues/84>)
  * Add support for mimic joints. (#33 <https://github.com/ros-controls/gz_ros2_control/issues/33>)
  * Add tricycle demo (#80 <https://github.com/ros-controls/gz_ros2_control/issues/80>)
  * Fix setting initial values if command interfaces are not defined. (#73 <https://github.com/ros-controls/gz_ros2_control/issues/73>)
  * fix demo launch (#75 <https://github.com/ros-controls/gz_ros2_control/issues/75>)

