## ros-humble-ign-ros2-control-demos 0.7.9

=== debian/changelog ===
ros-humble-ign-ros2-control-demos (0.7.9-2bookworm) bookworm; urgency=high

  * [Backport humble]  Ackermann steering example (#352 <https://github.com/ros-controls/gz_ros2_control/issues/352>)
    Co-authored-by: huzaifa <mailto:84243533+huzzu7@users.noreply.github.com>
  * Fixed pendulum examples (#353 <https://github.com/ros-controls/gz_ros2_control/issues/353>)
  * Rename variable in launch file (#327 <https://github.com/ros-controls/gz_ros2_control/issues/327>) (#338 <https://github.com/ros-controls/gz_ros2_control/issues/338>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit cd0b002c49e71be459f4e9f0a063b97fed195b28)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * added color definitions (#310 <https://github.com/ros-controls/gz_ros2_control/issues/310>) (#312 <https://github.com/ros-controls/gz_ros2_control/issues/312>)
    (cherry picked from commit 7cb6fd901f373d6fcfa75ef23e43c6b9d7b186a7)
    Co-authored-by: Reza Kermani <mailto:kermani.areza@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 01 Jul 2024 16:00:00 -0000
